# Contributing

We dig open source. If you want to help out, we would certainly welcome
contributions large or small.

## Reporting Bugs

Issues can be reported on the [issue tracker]. When reporting, examples that
allow contributors to reproduce the issue are always appreciated. Even better,
include a failing test.

## Requesting Features

We would love to hear ideas for making Leo better. Feel free to create a
"feature" issue on the [issue tracker].

If you see an existing feature request that you like, please chime in to the
conversation so other contributors can see how many people are interested in a
particular feature.

## Contributing code

We stick to [PSR-2] coding standards. To check for code style issues, first make
sure your changes are staged, then run `make lint`.

[psr-2]: https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md

### Steps for contributing

1. Fork the [repository] on GitHub
2. Add the code for your feature or bug
3. Ensure the dependencies can be installed with `make install`
4. Send a [pull request]

[repository]: https://github.com/peridot-php/leo
[pull request]: https://help.github.com/articles/creating-a-pull-request

<!-- References -->

[issue tracker]: https://github.com/peridot-php/leo/issues
